org.apache.calcite.avatica.proto

## Interface Responses.DatabasePropertyElementOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.DatabasePropertyElement, Responses.DatabasePropertyElement.Builder

Enclosing class:
  Responses

    public static interface Responses.DatabasePropertyElementOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Common.DatabaseProperty` `getKey()` `optional .DatabaseProperty key = 1;`
`Common.DatabasePropertyOrBuilder` `getKeyOrBuilder()` `optional .DatabaseProperty key = 1;`
`Responses.RpcMetadata` `getMetadata()` `optional .RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `optional .RpcMetadata metadata = 3;`
`Common.TypedValue` `getValue()` `optional .TypedValue value = 2;`
`Common.TypedValueOrBuilder` `getValueOrBuilder()` `optional .TypedValue value = 2;`
`boolean` `hasKey()` `optional .DatabaseProperty key = 1;`
`boolean` `hasMetadata()` `optional .RpcMetadata metadata = 3;`
`boolean` `hasValue()` `optional .TypedValue value = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasKey

    boolean hasKey()

`optional .DatabaseProperty key = 1;`

#### getKey

    Common.DatabaseProperty getKey()

`optional .DatabaseProperty key = 1;`

#### getKeyOrBuilder

    Common.DatabasePropertyOrBuilder getKeyOrBuilder()

`optional .DatabaseProperty key = 1;`

#### hasValue

    boolean hasValue()

`optional .TypedValue value = 2;`

#### getValue

    Common.TypedValue getValue()

`optional .TypedValue value = 2;`

#### getValueOrBuilder

    Common.TypedValueOrBuilder getValueOrBuilder()

`optional .TypedValue value = 2;`

#### hasMetadata

    boolean hasMetadata()

`optional .RpcMetadata metadata = 3;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`optional .RpcMetadata metadata = 3;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`optional .RpcMetadata metadata = 3;`